<?php
/**
 * 自动加载类
 *
 */
class autoloader {
    /**
     * 注册Autoload
     */
    public static function autoload() {
        spl_autoload_register(array(__CLASS__, 'loadClass'));
    }

    /**
     * 类名
     */
    public static function loadClass($name) {
        foreach (array(PATH_MOD,PATH_UTI,PATH_LIB) as $path) {
            $classFile = $path  . $name . '.php';
            if (is_file($classFile)) {
                include($classFile);
                break;
            }
        }
    }
}


